FINCORE(1)

NUME
fincore - numără paginile de conținut ale fișierelor din memorie

REZUMAT

fincore [opțiuni] fișier...

DESCRIERE

fincore numără paginile conținutului fișierelor care se află în memorie (în memoria principală) și afișează rezultatul. Dacă apare o eroare în timpul numărării, se afișează un mesaj de eroare la ieșirea de eroare standard (stderr), iar fincore continuă procesarea restului fișierelor enumerate în linia de comandă. fincore utilizează apelul de sistem cachestat(2) pentru a număra paginile rezidente. Dacă apelul de sistem cachestat(2) nu este disponibil și utilizarea cachestat nu este forțată cu opțiunea --cachestat, atunci fincore utilizează apelul de sistem mincore(2) ca soluție de rezervă. Apelul de sistem cachestat(2) este mai eficient decât mincore deoarece nu necesită blocarea tabelului de pagini pentru a parcurge tabelele de pagini și, de asemenea, raportează mai multe informații decât mincore, cum ar fi numărul de pagini stocate în cache, pagini modificate, pagini marcate pentru rescriere, pagini evacuate și pagini evacuate recent. O altă diferență între cele două apeluri de sistem este că, dacă nu sunt acordate permisiuni de scriere pentru fișier, cachestat(2) returnează o eroare, în timp ce mincore(2), din motive de securitate, returnează date false, ca și cum toate paginile ar fi rezidente în memorie (a se vedea.

Rezultatele implicite pot fi modificate. Așadar, ori de câte ori este posibil, ar trebui să evitați să utilizați ieșirile implicite în scripturile dumneavoastră. Definiți întotdeauna în mod explicit coloanele așteptate folosind --output listă-coloane în mediile în care este necesară o ieșire stabilă.

OPȚIUNI

-n, --noheadings
    Nu afișează o linie de antet în ieșirea de stare.

-b, --bytes
    Afișează dimensiunile în octeți, și nu într-un format ușor de citit de către om.

    În mod implicit, dimensiunile sunt afișate în unități care reprezintă puteri de 1024 de octeți. Abrevierile formale pentru aceste unități (Kio, Mio, Gio, ...) sunt scurtate la rândul lor la doar prima literă: K, M, G, ....

-c, --total
    generează totalul general.

-C, --cachestat
    forțează utilizarea apelului de sistem cachestat(2) în locul celui mincore(2) și va eșua dacă acesta nu este disponibil.

-o, --output listă
    Definește coloanele de ieșire. Consultați ieșirea --help pentru a obține o listă a coloanelor acceptate în prezent. Lista implicită de coloane poate fi extinsă dacă lista este specificată în formatul +lista.

--output-all
    Afișează toate coloanele disponibile.

-r, --raw
    Produce ieșirea în format brut. Toate caracterele potențial nesigure sunt eludate în format hexazecimal (\x<code>).

-J, --json
    Utilizează formatul de ieșire JSON.

-R, --recursive
    Verifică recursiv toate fișierele din directoare.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

MEDIU

LIBSMARTCOLS_DEBUG=all
    activează ieșirea de depanare a libsmartcols.

LIBSMARTCOLS_DEBUG_PADDING=on
    utilizează caractere de umplutură vizibile.

AUTORI

CONSULTAȚI ȘI

mincore(2), getpagesize(2), getconf(1p) cachestat(2)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda fincore face parte din pachetul util-linux care poate fi descărcat de la